<?php
// izveido savienojumu ar datubazi
$conn = mysqli_connect('localhost', 'root', '', 'raimondsedvins_4110');

if (!$conn) {
  die('Database connection failed: ' . mysqli_connect_error());
}

//uzvaras gadijuma...
if (isset($_POST['time'])) {
  $newTime = intval($_POST['time']);

  // nosuta uz pieprasito kolonu un ierakstu jauno rezultatu
  $sql = "UPDATE games SET minesweeper = $newTime WHERE id = 1"; 
  $result = mysqli_query($conn, $sql);

  //iznakumi
  if ($result) {
    echo 'Time updated successfully';
  } else {
    echo 'Failed to update time: ' . mysqli_error($conn);
  }
}
// atsledzas no datubazes
mysqli_close($conn);
?>